<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   							   */
/* ========================      						 						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	  		   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   	   */
/***********************************************************************************/

	//基本变量设置 
	$GLOBALS["ID"] =1; //用来跟踪下拉菜单的ID号 
	$layer=1; //用来跟踪当前菜单的级数 
	
	//============================================= 
	//显示树型菜单函数 ShowTreeMenu($con,$result,$layer,$prefix) 
	//$con：		数据库连接 
	//$result：	需要显示的菜单记录集 
	//$layer：	需要显示的菜单的级数 
	//$prefix:	前缀
	//============================================= 
	function ShowTreeMenu($conn,$result,$layer,$prefix) 
	{ 
		global $treeMenu;
		global $table_name;
		global $module_name;
		global $module_num;
		
		$auto_id=$prefix."auto_id";
		$id		=$prefix."id";
		$name	=$prefix."name";
		
		//取得需要显示的菜单的项目数 
		$numrows=count($result); 
		//开始显示菜单，每个子菜单都用一个表格来表示 
		$treeMenu.="<table cellpadding='0' cellspacing='0' border='0'>"; 
		for($rows=0;$rows<$numrows;$rows++) 
		{ 
			//将当前菜单项目的内容导入数组 
			$menu=$result[$rows]; 
			//提取菜单项目的子菜单记录集 
			$sql="where parent_id=$menu[$auto_id] order by $id asc"; 
			
			$conn->setCondition($sql);
			
			$result_sub=$conn->selectResult();  
			
			$treeMenu.= "<tr>"; 
			//如果该菜单项目有子菜单，则添加JavaScript onClick语句 
			if(count($result_sub)>0) 
			{ 
				$treeMenu.= "<td height='22' width='20' onClick='javascript:ShowMenu(Menu".$GLOBALS["ID"].");'><img src='../images/default/basic/close.gif'></td>"; 
			} 
			else 
			{ 
				$treeMenu.= "<td height='22' width='20'><img src='../images/default/basic/file.gif'></td>"; 
			} 
			$treeMenu.= "<td style='cursor:hand' class='Menu' onClick=\"javascript:showUpdateWindow('basic_common','".$table_name."','".$module_name."','".$module_num."','".$menu[$auto_id]."');\">"; 
			
			//如果该菜单项目没有子菜单，并指定了超级连接地址，则指定为超级连接， 
			//否则只显示菜单名称 
//			$treeMenu.= $menu[$id]."|".$menu[$name]; 
			$treeMenu.= $menu[$name];
			$treeMenu.= " 
			</td> 
			</tr> 
			"; 
			//如果该菜单项目有子菜单，则显示子菜单 
			if(count($result_sub)>0) 
			{ 
				//指定该子菜单的ID和style，以便和onClick语句相对应 
				$treeMenu.= "<tr id=Menu".$GLOBALS["ID"]++.">"; 
				$treeMenu.= "<td width='20'>&nbsp;</td>"; 
				$treeMenu.= "<td>"; 
				//将级数加1 
				$layer++; 
				//递归调用ShowTreeMenu()函数，生成子菜单 
				ShowTreeMenu($conn,$result_sub,$layer,$prefix); 
				//子菜单处理完成，返回到递归的上一层，将级数减1 
				$layer--; 
				$treeMenu.= "</td></tr>"; 
			} 
			//继续显示下一个菜单项目 
		} 
		$treeMenu.= "</table>";
	}
	
	
	function ShowGroupTreeMenu($conn,$result,$layer,$prefix) 
	{ 
		global $treeMenu;
		global $table_name;
		global $module_name;
		
		$auto_id=$prefix."auto_id";
		$id		=$prefix."id";
		$name	=$prefix."name";
		
		//取得需要显示的菜单的项目数 
		$numrows=count($result); 
		//开始显示菜单，每个子菜单都用一个表格来表示 
		$treeMenu.="<table cellpadding='0' cellspacing='0' border='0'>"; 
		for($rows=0;$rows<$numrows;$rows++) 
		{ 
			//将当前菜单项目的内容导入数组 
			$menu=$result[$rows]; 
			//提取菜单项目的子菜单记录集 
			$sql="where parent_id=$menu[$auto_id] group by $id order by $id asc"; 
			
			$conn->setCondition($sql);
			
			$result_sub=$conn->selectResult();  
			
			$treeMenu.= "<tr>"; 
			//如果该菜单项目有子菜单，则添加JavaScript onClick语句 
			if(count($result_sub)>0) 
			{ 
				$treeMenu.= "<td height='22' width='20' onClick='javascript:ShowMenu(Menu".$GLOBALS["ID"].");'><img src='../images/default/basic/close.gif'></td>"; 
			} 
			else 
			{ 
				$treeMenu.= "<td height='22' width='20'><img src='../images/default/basic/file.gif'></td>"; 
			} 
			$treeMenu.= "<td style='cursor:hand' class='Menu' onClick=\"javascript:showUpdateWindow('group_common','".$table_name."','".$module_name."','".$module_num."','".$menu[$id]."');\">"; 
			
			//如果该菜单项目没有子菜单，并指定了超级连接地址，则指定为超级连接， 
			//否则只显示菜单名称 
//			$treeMenu.= $menu[$id]."|".$menu[$name]; 
			$treeMenu.= $menu[$name]; 
			$treeMenu.= " 
			</td> 
			</tr> 
			"; 
			//如果该菜单项目有子菜单，则显示子菜单 
			if(count($result_sub)>0) 
			{ 
				//指定该子菜单的ID和style，以便和onClick语句相对应 
				$treeMenu.= "<tr id=Menu".$GLOBALS["ID"]++.">"; 
				$treeMenu.= "<td width='20'>&nbsp;</td>"; 
				$treeMenu.= "<td>"; 
				//将级数加1 
				$layer++; 
				//递归调用ShowTreeMenu()函数，生成子菜单 
				ShowTreeMenu($conn,$result_sub,$layer,$prefix); 
				//子菜单处理完成，返回到递归的上一层，将级数减1 
				$layer--; 
				$treeMenu.= "</td></tr>"; 
			} 
			//继续显示下一个菜单项目 
		} 
		$treeMenu.= "</table>";
	}
	
	function ShowSelect($conn,$result,$layer,$prefix,$selected_value) 
	{ 
		global $selectMenu;
		global $table_name;
		global $module_name;
		
		$auto_id=$prefix."auto_id";
		$id		=$prefix."id";
		$name	=$prefix."name";
		
		$numrows=count($result); 
		for($rows=0;$rows<$numrows;$rows++) 
		{ 
			$menu=$result[$rows]; 
			$sql="where parent_id=$menu[$auto_id] order by $id asc"; 
			$conn->setCondition($sql);
			$result_sub=$conn->selectResult();  
			
			$selectMenu.= "<option value='".$menu[$auto_id]."' ";
			if($selected_value==$menu[$auto_id])$selectMenu.= "selected";
			$selectMenu.= ">";
			for($i=0;$i<$layer;$i++){
				$selectMenu.="&nbsp;&nbsp;&nbsp;";
			}
			if(count($result_sub)>0) 
				$selectMenu.="";
			else
				$selectMenu.="";
			
//			$selectMenu.= $menu[$id]."|".$menu[$name]."</option>"; 
			$selectMenu.= $menu[$name]."</option>"; 

			if(count($result_sub)>0) 
			{ 
				//将级数加1 
				$layer++; 
				ShowSelect($conn,$result_sub,$layer,$prefix,$selected_value); 
				//子菜单处理完成，返回到递归的上一层，将级数减1 
				$layer--; 

			} 
		} 
	}
	
	function ShowSelect_name($conn,$result,$layer,$prefix,$selected_value) 
	{ 
		global $selectMenu;
		global $table_name;
		global $module_name;
		
		$auto_id=$prefix."auto_id";
		$id		=$prefix."id";
		$name	=$prefix."name";
		
		$numrows=count($result); 
		for($rows=0;$rows<$numrows;$rows++) 
		{ 
			$menu=$result[$rows]; 
			$sql="where parent_id=$menu[$auto_id] order by $id asc"; 
			$conn->setCondition($sql);
			$result_sub=$conn->selectResult();  
			
			$selectMenu.= "<option value='".$menu[$name]."' ";
			if($selected_value==$menu[$name])$selectMenu.= "selected";
			$selectMenu.= ">";
			for($i=0;$i<$layer;$i++){
				$selectMenu.="&nbsp;&nbsp;&nbsp;";
			}
			if(count($result_sub)>0) 
				$selectMenu.="";
			else
				$selectMenu.="";
			
//			$selectMenu.= $menu[$id]."|".$menu[$name]."</option>"; 
			$selectMenu.= $menu[$name]."</option>"; 

			if(count($result_sub)>0) 
			{ 
				//将级数加1 
				$layer++; 
				ShowSelect_name($conn,$result_sub,$layer,$prefix,$selected_value); 
				//子菜单处理完成，返回到递归的上一层，将级数减1 
				$layer--; 

			} 
		} 
	}
	
	function ShowGroupSelect_name($conn,$result,$layer,$prefix,$selected_value) 
	{ 
		global $selectMenu;
		global $table_name;
		global $module_name;
		
		$auto_id=$prefix."auto_id";
		$id		=$prefix."id";
		$name	=$prefix."name";
		
		$numrows=count($result); 
		for($rows=0;$rows<$numrows;$rows++) 
		{ 
			$menu=$result[$rows]; 
			$sql="where parent_id=$menu[$auto_id] group by $id order by $id asc"; 
			$conn->setCondition($sql);
			$result_sub=$conn->selectResult();  
			
			$selectMenu.= "<option value='".$menu[$name]."' ";
			if($selected_value==$menu[$name])$selectMenu.= "selected";
			$selectMenu.= ">";
			for($i=0;$i<$layer;$i++){
				$selectMenu.="&nbsp;&nbsp;&nbsp;";
			}
			if(count($result_sub)>0) 
				$selectMenu.="";
			else
				$selectMenu.="";
			
//			$selectMenu.= $menu[$id]."|".$menu[$name]."</option>"; 
			$selectMenu.= $menu[$name]."</option>"; 

			if(count($result_sub)>0) 
			{ 
				//将级数加1 
				$layer++; 
				ShowSelect_name($conn,$result_sub,$layer,$prefix,$selected_value); 
				//子菜单处理完成，返回到递归的上一层，将级数减1 
				$layer--; 

			} 
		} 
	}
	
?>